跳至內容

Z Image Turbo

整合

模型 id z-image/turbo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/z-image/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.005 5 API 點數 · ≈ ₽0.53 在此頁面執行

取得 API 金鑰
Alibaba · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

引導圖像生成的提示詞。

image_size 預設 landscape_4_3

生成圖像的尺寸。

num_images 預設 1

請求生成的圖像數量。

進階 output_format · acceleration · num_inference_steps · seed · enable_safety_checker · enable_prompt_expansion
output_format 預設 png

生成圖像的檔案格式。

acceleration 預設 regular

套用至處理的加速等級。

預設 8

要執行的推論步數。

可重現圖像的種子:模型版本不變時,相同的提示詞與種子會產生相同圖像。

POST /run/z-image/turbo?wait=20 報價 → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/z-image/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Z Image Turbo

根據文字 `prompt` 生成影像。`num_inference_steps` 範圍為 1 到 8,`num_images` 範圍為 1 到 4,`image_size` 提供六種預設值,預設為 landscape_4_3。輸出格式為 png、jpeg 或 webp,並提供 `acceleration` 設定 none、regular 或 high,以及可選的提示詞擴寫。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt必填
類型string
引導圖像生成的提示詞。
image_size選填
類型object
預設值landscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成圖像的尺寸。
num_inference_steps選填
類型integer
預設值8
1 – 8
要執行的推論步數。
seed選填
類型integer | null
可重現圖像的種子:模型版本不變時,相同的提示詞與種子會產生相同圖像。
num_images選填 num_outputs
類型integer
預設值1
1 – 4
請求生成的圖像數量。
enable_safety_checker選填
類型boolean
預設值true
安全檢查,會以黑色圖像取代任何被標記為不安全的圖像。true 會啟用檢查;false 僅對獲得授權的帳戶停用檢查,未獲授權的請求無論如何都會接受檢查。
output_format選填
類型enum
預設值png
jpegpngwebp
生成圖像的檔案格式。
acceleration選填
類型enum
預設值regular
noneregularhigh
套用至處理的加速等級。
enable_prompt_expansion選填
類型boolean
預設值false
控制是否啟用提示詞擴展。
必填 標準名稱,也可使用

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "z-image/turbo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, content_type, file_name, file_size, width, height}生成圖像的檔案資訊。
timings
object生成程序的計時資訊。
seed
integer圖像生成種子;若輸入未提供種子,則包含隨機選取的值,否則會重複提供的值。
has_nsfw_concepts
array of boolean指出生成的圖像中是否出現 NSFW 概念。
prompt
string圖像生成期間使用的提示詞。

更多模型:文字轉圖像

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/z-image/turbo.md. 所有模型與指南: https://doitong.com/developers/llms.txt